﻿<!DOCTYPE html>
<html>
<head>
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.4/angular.min.js"></script>
    <meta charset="utf-8"/>
    <title>Base Converter</title>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="MyStyle.css"/>
</head>

<body class="m-0 pb-0 mt-2 " id="basicLayout">
    

<div class="container border-dark bg-secondary p-0 pt-3 mb-0" ng-app="BaseConverterApp" ng-controller="BaseCount">
    <header class="text-center font-weight-bold mt-3 p-3" id="heading">Base Converter</header>
    <div class="row p-3">
        <div class="offset-8 col-4">by Damian Kreisich</div>
        <button id="instButton" class="offset-8 col-3"> Instruction </button>
    </div>
    <div class="row p-3 mt-3 mb-3 align-content-center">
        <div class="col-sm-12 offset-lg-4 col-lg-2 h5">
            Decimal Value:
        </div>
        <input class="col-4 col-lg-2" type="number" ng-model="givenVal"/>
    </div>
    <div class="row mt-3 mb-3 p-3">
        <h2 class="col-12">Results: </h2>
    </div>
    <div class="row mb-3 p-3">
        <h4 class="col-sm-12 col-lg-2">Base 2:</h4>
        <input class="col-4" readonly="readonly" type="text" value="{{recountToBase(givenVal,2)}}"/>
    </div>
    <div class="row mb-3 p-3">
        <h4 class="col-sm-12 col-lg-2">Base 4:</h4>
        <input class="col-4" readonly="readonly" type="text" value="{{recountToBase(givenVal,4)}}"/>
    </div>
    <div class="row mb-3 p-3">
        <h4 class="col-sm-12 col-lg-2">Base 8:</h4>
        <input class="col-4" readonly="readonly" type="text" value="{{recountToBase(givenVal,8)}}"/>
    </div>
    <div class="row mb-3 p-3">
        <h4 class="col-sm-12 col-lg-2">Base 16:</h4>
        <input class="col-4" readonly="readonly" type="text" value="{{recountToBase(givenVal,16)}}"/>
    </div>
    <div class="row mb-3 mt-3 p-3">
        <h2 class="text-center col-12">Need another base?</h2>
    </div>
    <div class="row mb-3 p-3">
        <label class="col-sm-11 col-lg-2 h5">Custom Base:</label>
        <input class="col-sm-4 col-lg-3" placeholder="Type your custom base here" type="number" ng-model="customBase"/> <span class="col-1 text-center">:</span>
        <input class="col-6" readonly="readonly" type="text" value="{{recountToBase(givenVal,customBase)}}"/>
    </div>
    
    <footer class="bg-dark text-center text-secondary m-0 p-3">&copy;All rights reserved.</footer>
</div>
    
<script src="BaseConverterNGJS.js"></script>
<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</body>
</html>